Bug 917237 - CVE-2013-1800 Ruby Gem crack: YAML parameter parsing vulnerability [epel-all] [NEEDINFO]
CVE-2013-1800 Ruby Gem crack: YAML parameter parsing vulnerability [epel-all]
Status: ON_QA
Product: Fedora EPEL
Classification: Fedora
Component: rubygem-crack (Show other bugs)
el6
All Linux
high Severity high
: ---
: ---
Assigned To: Mo Morsi
Fedora Extras Quality Assurance
fst_ping=2,fst_owner=pjp
: Security, SecurityTracking
Depends On:
Blocks: 1209124 CVE-2013-1800
  Show dependency treegraph
 
Reported: 2013-03-02 04:02 EST by Kurt Seifried
Modified: 2015-07-14 12:45 EDT (History)
5 users (show)

See Also:
Fixed In Version: rubygem-crack 0.3.2
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
sparks: needinfo? (mastahnke)
sparks: needinfo? (mastahnke)


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2013-03-02 04:02:23 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora EPEL.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Kurt Seifried 2013-03-02 04:02:29 EST
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=917236,917237
Comment 2 Eric Christensen 2015-04-23 09:09:20 EDT
Can an update be pushed for this package?
Comment 3 Eric Christensen 2015-06-11 14:27:44 EDT
Can this package be updated to 0.3.2 in EL7, EL6, and EL5?
Comment 4 Mo Morsi 2015-06-15 13:42:50 EDT
I have no problem pushing an update for this but would like to send the request to epel-devel to see what the policy is regarding this & if there are any objections.  Will do so later today.
Comment 5 Fedora Update System 2015-07-12 12:45:34 EDT
rubygem-crack-0.3.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/rubygem-crack-0.3.2-2.el6
Comment 6 Fedora Update System 2015-07-14 12:45:16 EDT
Package rubygem-crack-0.3.2-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing rubygem-crack-0.3.2-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-7168/rubygem-crack-0.3.2-2.el6
then log in and leave karma (feedback).

Note You need to log in before you can comment on or make changes to this bug.